FLANG

Public Member Functions | List of all members
Fortran::common::IntrinsicTypeDefaultKinds Class Reference

## Public Member Functions
int | subscriptIntegerKind () const
int | sizeIntegerKind () const
int | doublePrecisionKind () const
int | quadPrecisionKind () const
IntrinsicTypeDefaultKinds & | set_defaultIntegerKind (int)
IntrinsicTypeDefaultKinds & | set_subscriptIntegerKind (int)
IntrinsicTypeDefaultKinds & | set_sizeIntegerKind (int)
IntrinsicTypeDefaultKinds & | set_defaultRealKind (int)
IntrinsicTypeDefaultKinds & | set_doublePrecisionKind (int)
IntrinsicTypeDefaultKinds & | set_quadPrecisionKind (int)
IntrinsicTypeDefaultKinds & | set_defaultCharacterKind (int)
IntrinsicTypeDefaultKinds & | set_defaultLogicalKind (int)
int | GetDefaultKind (TypeCategory) const

The documentation for this class was generated from the following files:

- include/flang/Common/default-kinds.h
- lib/Common/default-kinds.cpp